Перейти к содержимому



Возникли проблемы при обновлении Joomla

#1 enton

enton
  • Пользователь
  • 119 сообщений
  • Репутация: 13
0

Отправлено 23 Апрель 2012 - 08:04

Начал обновлять Joomla по этой инструкции, качал обновление тут, но обновление прошло неудачно и теперь не открываются общие настройки сайта, не создаются новые разделы и отвалился визуальный редактор :unsure: .
Откат на пред идущие версии не помог.
подскажите какие варианты решения этой проблемы возможны?

 

 

  • 0

#2 Sky-R

Sky-R
  • Пользователь
  • 417 сообщений
  • Репутация: 72

Отправлено 23 Апрель 2012 - 08:47

Откат на пред идущие версии не помог.

А как пробовали откатывать?
P.S. И о переходе с какой на какую версию идёт речь
  • 0

#3 enton

enton
    Topic Starter
  • Пользователь
  • 119 сообщений
  • Репутация: 13

Отправлено 23 Апрель 2012 - 09:51

откатывали из бекапа на хостиге.
пошлую версию не вспомню, ставили Joomla1.5.26
  • 0

#4 Sky-R

Sky-R
  • Пользователь
  • 417 сообщений
  • Репутация: 72

Отправлено 23 Апрель 2012 - 10:10

Хм, ну если на хостинге есть бекапы, то откатите и все файлы назад, и базу данных. :unsure: Всё должно вернутся в исходное состояние. Или я чего то не так понял?
  • 0

#5 astappev

astappev
  • Пользователь
  • 209 сообщений
  • Репутация: 38

Отправлено 23 Апрель 2012 - 21:20

Обновление внутри одной линейки то есть с 1.5.10 на 1.5.25 к примеру никогда проблем не вызывает, проблема возникает при переносе с 1.5.х на 2.5.х
Вот сдесь уже не просто, Как показала практика, копирование статей, через експорт в хмл а все другое ручками
  • 0

#6 enton

enton
    Topic Starter
  • Пользователь
  • 119 сообщений
  • Репутация: 13

Отправлено 24 Апрель 2012 - 07:27

Или я чего то не так понял?

нет смылса откатываться на преидущую версию, через нее взломали и вот решил обновиться.

через експорт в хмл а все другое ручками

а если поставить 2.5.х, а потом накатить бд так не получиться?
и еще вопрос, шаб норм подойдет?
  • 0

#7 Sky-R

Sky-R
  • Пользователь
  • 417 сообщений
  • Репутация: 72

Отправлено 24 Апрель 2012 - 08:01

Шаблоны для линейки 1.5 и 2.5 - разные и не подходят.

нет смылса откатываться на преидущую версию, через нее взломали и вот решил обновиться.

Так откатиться на исходный вариант и попытаться обновить заново. Это лучше, чем сидеть с ошибкой.
По поводу переезда с 1.5 на 2.5 простым копированием базы данных - вряд ли получится. Если не ошибаюсь, для миграции на 2.5 есть специальное расширение.
  • 0

#8 astappev

astappev
  • Пользователь
  • 209 сообщений
  • Репутация: 38

Отправлено 24 Апрель 2012 - 12:43

Нет, это не выход всегда лучше иметь новое. А вот почему то разрабы не позаботились об этом.
Просто накатить бд невозможно, можно только статьи. Шаблон можно найти инструкции, их валом, как адаптироваться шаблон.
Ну а переносить компоненты только ручками. Или попробовать jUpgrade
  • 0

#9 enton

enton
    Topic Starter
  • Пользователь
  • 119 сообщений
  • Репутация: 13

Отправлено 24 Апрель 2012 - 13:47

тогда я так понимаю сейчас самое простое это, установить с нуля последнюю из 1.5 и накатить базу?
  • 0

#10 astappev

astappev
  • Пользователь
  • 209 сообщений
  • Репутация: 38

Отправлено 25 Апрель 2012 - 22:05

Ну да, это проще
  • 0

robot

robot
  • Пользователь PRO
  • 2 652 сообщений
  • Репутация: 85


Оформление форума – IPBSkins.ru